Came across this article Charts API - OutSystems when looking for rendering charts .Seems HighCharts is used for Charts API.  

Do we need to purchase separate license from HighCharts to use the Charts API in the applications developed using OutSystems?

Can some one please clarify? Not sure If I have chosen the correct category of Forum to post this question. 

Hi Vijay,

No separate license from Highcharts is needed to use the OutSystems Charts API. You can download and install the OutSystems Charts components (either for Traditional Web or Reactive/Mobile) from the Forge.

Furthermore, you can use Highcharts JSON in order to perform advanced formatting on your charts. Here's demo video regarding that option.

I hope this makes it more clear.

Regards,

Nordin

Hi Vijay,

Like Nordin wrote, there's no need for an additional licence. Note however that OutSystems has licenced a pretty old version of Highcharts (6.1.4), so depending on your needs you may need to licence a newer version yourself (however, I've never run into problems with 6.1.4 myself).

Nordin Ahdi wrote:

Hi Vijay,

No separate license from Highcharts is needed to use the OutSystems Charts API. You can download and install the OutSystems Charts components (either for Traditional Web or Reactive/Mobile) from the Forge.

Furthermore, you can use Highcharts JSON in order to perform advanced formatting on your charts. Here's demo video regarding that option.

I hope this makes it more clear.

Regards,

Nordin

Hi Nordin,


Thanks very much. 

Thats helpful in a highlevel.  However HighCharts lists some license cost.  Is there any disclaimer anywhere in OutSystems that indicates highcharts is included withOutSystems Subscription.  Just in case I wanted to make sure.  

Thanks again.

Kilian Hekhuis wrote:

Hi Vijay,

Like Nordin wrote, there's no need for an additional licence. Note however that OutSystems has licenced a pretty old version of Highcharts (6.1.4), so depending on your needs you may need to licence a newer version yourself (however, I've never run into problems with 6.1.4 myself).

That's good to know!.  Thanks!


Solution

Hi Vijay,

Sure, here's a confirmation from an OutSystems staff member that you can use the Highcharts 6.1.4 version that Kilian mentioned free of charge.

It does indeed mean that you will have to purchase a license yourself if you want to use a different version of Highcharts.

I hope this puts you more on ease :).

Regards,

Nordin


Solution

Hi Vijay,

Please mark the reply that answered your original question best as solution. This way, other community members who find this post and have the same question can find an answer more easy.

Thanks,

Nordin